org.apache.commons.fileupload

## Class FileUpload

- java.lang.Object
- - org.apache.commons.fileupload.FileUploadBase
  - - org.apache.commons.fileupload.FileUpload

- Direct Known Subclasses:
    PortletFileUpload, ServletFileUpload

      public class FileUpload
      extends FileUploadBase

  High level API for processing file uploads.

  This class handles multiple files per single HTML widget, sent using `multipart/mixed` encoding type, as specified by RFC 1867. Use `FileUploadBase.parseRequest(RequestContext)` to acquire a list of `FileItems` associated with a given HTML widget.

  How the data for individual parts is stored is determined by the factory used to create them; a given part may be in memory, on disk, or somewhere else.

  Version:
    $Id$

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.commons.fileupload.FileUploadBase

      `FileUploadBase.FileSizeLimitExceededException, FileUploadBase.FileUploadIOException, FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException, FileUploadBase.SizeLimitExceededException, FileUploadBase.UnknownSizeException`

  - ### Field Summary

    - ### Fields inherited from class org.apache.commons.fileupload.FileUploadBase

      `ATTACHMENT, CONTENT_DISPOSITION, CONTENT_LENGTH, CONTENT_TYPE, FORM_DATA, MAX_HEADER_SIZE, MULTIPART, MULTIPART_FORM_DATA, MULTIPART_MIXED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileUpload()` Constructs an uninitialised instance of this class.
    `FileUpload(FileItemFactory fileItemFactory)` Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileItemFactory` | `getFileItemFactory()` Returns the factory class used when creating file items.
    `void` | `setFileItemFactory(FileItemFactory factory)` Sets the factory class to use when creating file items.

    - ### Methods inherited from class org.apache.commons.fileupload.FileUploadBase

      `createItem, getBoundary, getFieldName, getFieldName, getFileName, getFileName, getFileSizeMax, getHeader, getHeaderEncoding, getItemIterator, getParsedHeaders, getProgressListener, getSizeMax, isMultipartContent, isMultipartContent, newFileItemHeaders, parseHeaders, parseParameterMap, parseRequest, parseRequest, setFileSizeMax, setHeaderEncoding, setProgressListener, setSizeMax`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileUpload

          public FileUpload()

      Constructs an uninitialised instance of this class. A factory must be configured, using `setFileItemFactory()`, before attempting to parse requests.
      See Also:
        `FileUpload(FileItemFactory)`

    - #### FileUpload

          public FileUpload(FileItemFactory fileItemFactory)

      Constructs an instance of this class which uses the supplied factory to create `FileItem` instances.
      Parameters:
        `fileItemFactory` - The factory to use for creating file items.
      See Also:
        `FileUpload()`

  - ### Method Detail

    - #### getFileItemFactory

          public FileItemFactory getFileItemFactory()

      Returns the factory class used when creating file items.
      Specified by:
        `getFileItemFactory` in class `FileUploadBase`
      Returns:
        The factory class for new file items.

    - #### setFileItemFactory

          public void setFileItemFactory(FileItemFactory factory)

      Sets the factory class to use when creating file items.
      Specified by:
        `setFileItemFactory` in class `FileUploadBase`
      Parameters:
        `factory` - The factory class for new file items.

Copyright © 2002–2017 The Apache Software Foundation. All rights reserved.